commit 57ef5eda41a8c3b3c037d1075f5f6506cd82daed
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Jan 26 10:51:11 2026 +0000

        Debug: wordsize mods follow-up
    
        Broken-by: c33264393a1c

diff --git a/src/src/functions.h b/src/src/functions.h
index 3614ebfca..27d1d2504 100644
--- a/src/src/functions.h
+++ b/src/src/functions.h
@@ -188,7 +188,7 @@ extern void    debug_pretrigger_discard(void);
 extern void    debug_print_socket(int);
 extern void    debug_trigger_fire(void);
 
-extern void    decode_bits(unsigned long *, size_t, int *,
+extern void    decode_bits(bitmask_word_t *, size_t, int *,
 	           const uschar *, bit_table *, int, uschar *, int);
 extern void    delete_pid_file(void);
 extern void    deliver_local(address_item *, BOOL);
diff --git a/src/src/macros.h b/src/src/macros.h
index 0efe34cc0..8600f5a94 100644
--- a/src/src/macros.h
+++ b/src/src/macros.h
@@ -337,11 +337,11 @@ platforms, but this ensures bit vectors always work the same way. */
 
 /* This macro is for single-word bit vectors: the debug selector,
 and the first word of the log selector. */
-#define BIT(n) (1UL << (n))
+#define BIT(n) ((bitmask_word_t)1 << (n))
 
 /* And these are for multi-word vectors. */
-#define BITWORD(n) (       (n) / BITWORDSIZE)
-#define BITMASK(n) (1UL << (n) % BITWORDSIZE)
+#define BITWORD(n) (    (n) / BITWORDSIZE)
+#define BITMASK(n) (BIT((n) % BITWORDSIZE))
 
 #define BIT_CLEAR(s,z,n) ((s)[BITWORD(n)] &= ~BITMASK(n))
 #define BIT_SET(s,z,n)   ((s)[BITWORD(n)] |=  BITMASK(n))

